public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/gnome:master commit in: net-misc/spice-gtk/, net-misc/spice-gtk/files/
@ 2011-11-15  1:31 Nirbheek Chauhan
  0 siblings, 0 replies; only message in thread
From: Nirbheek Chauhan @ 2011-11-15  1:31 UTC (permalink / raw
  To: gentoo-commits

commit:     c25b53d60e38518b6729f2d3731ced80e0327d32
Author:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 23:14:38 2011 +0000
Commit:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Tue Nov 15 01:31:29 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=c25b53d6

net-misc/spice-gtk: add live ebuild with vapi generation

---
 net-misc/spice-gtk/files/spice.protocol  |   12 +++
 net-misc/spice-gtk/files/spice.schemas   |   41 ++++++++++
 net-misc/spice-gtk/spice-gtk-9999.ebuild |  119 ++++++++++++++++++++++++++++++
 3 files changed, 172 insertions(+), 0 deletions(-)

diff --git a/net-misc/spice-gtk/files/spice.protocol b/net-misc/spice-gtk/files/spice.protocol
new file mode 100644
index 0000000..348247f
--- /dev/null
+++ b/net-misc/spice-gtk/files/spice.protocol
@@ -0,0 +1,12 @@
+[Protocol]
+exec=/usr/bin/spicy --uri="%u"
+protocol=spice
+input=none
+output=none
+helper=true
+listing=
+reading=false
+writing=false
+makedir=false
+deleting=false
+

diff --git a/net-misc/spice-gtk/files/spice.schemas b/net-misc/spice-gtk/files/spice.schemas
new file mode 100644
index 0000000..43b1217
--- /dev/null
+++ b/net-misc/spice-gtk/files/spice.schemas
@@ -0,0 +1,41 @@
+<?xml version="1.0"?>
+<gconfschemafile>
+<schemalist>
+<schema>
+     <key>/schemas/desktop/gnome/url-handlers/spice/enabled</key>
+     <applyto>/desktop/gnome/url-handlers/spice/enabled</applyto>
+     <owner>spice</owner>
+     <type>bool</type>
+     <default>true</default>
+     <locale name="C">
+       <short>How to handle spice URLs</short>
+       <long>Set to true to have a program specified in command handle spice URLs</long>
+     </locale>
+</schema>
+
+   <schema>
+     <key>/schemas/desktop/gnome/url-handlers/spice/command</key>
+     <applyto>/desktop/gnome/url-handlers/spice/command</applyto>
+     <owner>spice</owner>
+     <type>string</type>
+     <default>/usr/bin/spicy --uri="%s"</default>
+     <locale name="C">
+       <short>URL handler for spice URIs</short>
+       <long>URL handler for spice URIs</long>
+     </locale>
+    </schema>
+
+   <schema>
+     <key>/schemas/desktop/gnome/url-handlers/spice/need-terminal</key>
+     <applyto>/desktop/gnome/url-handlers/spice/need-terminal</applyto>
+     <owner>spice</owner>
+     <type>bool</type>
+     <default>false</default>
+     <locale name="C">
+       <short>Run program in terminal</short>
+       <long>True if the program to handle this URL should be run in a terminal</long>
+     </locale>
+    </schema>
+</schemalist>
+</gconfschemafile>
+

diff --git a/net-misc/spice-gtk/spice-gtk-9999.ebuild b/net-misc/spice-gtk/spice-gtk-9999.ebuild
new file mode 100644
index 0000000..59c00c9
--- /dev/null
+++ b/net-misc/spice-gtk/spice-gtk-9999.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/spice-gtk/spice-gtk-0.7.ebuild,v 1.2 2011/10/19 08:37:10 dev-zero Exp $
+
+EAPI=3
+GCONF_DEBUG="no"
+
+inherit eutils python gnome2-utils
+if [[ ${PV} = 9999 ]]; then
+	inherit gnome2-live
+fi
+
+PYTHON_DEPEND="python? 2"
+
+DESCRIPTION="Set of GObject and Gtk objects for connecting to Spice servers and a client GUI."
+HOMEPAGE="http://spice-space.org http://gitorious.org/spice-gtk"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} = 9999 ]]; then
+	EGIT_REPO_URI="git://anongit.freedesktop.org/spice/${PN}"
+	KEYWORDS=""
+else
+	SRC_URI="http://spice-space.org/download/gtk/${P}.tar.bz2"
+	KEYWORDS="~amd64 ~x86"
+fi
+IUSE="+cairo doc gnome gstreamer gtk3 +introspection kde +pulseaudio python sasl static-libs vala"
+
+RDEPEND="pulseaudio? ( !gstreamer? ( media-sound/pulseaudio ) )
+	gstreamer? ( media-libs/gstreamer )
+	>=app-emulation/spice-protocol-0.9.0
+	>=x11-libs/pixman-0.17.7
+	>=media-libs/celt-0.5.1.1:0.5.1
+	dev-libs/openssl
+	gtk3? ( x11-libs/gtk+:3[introspection?] )
+	!gtk3? ( x11-libs/gtk+:2[introspection?] )
+	>=dev-libs/glib-2.26:2
+	>=x11-libs/cairo-1.2
+	virtual/jpeg
+	sys-libs/zlib
+	introspection? ( dev-libs/gobject-introspection )
+	python? ( dev-python/pygtk:2 )
+	sasl? ( dev-libs/cyrus-sasl )
+	gnome? ( gnome-base/gconf )"
+DEPEND="${RDEPEND}
+	vala? ( dev-lang/vala:0.14 )
+	dev-lang/python
+	dev-lang/perl
+	dev-perl/Text-CSV
+	dev-python/pyparsing
+	dev-util/pkgconfig"
+
+pkg_setup() {
+	if use gstreamer && use pulseaudio ; then
+		ewarn "spice-gtk can use only one audio backend: gstreamer will be used since you enabled both."
+	fi
+}
+
+src_configure() {
+	local audio="no"
+	local gtk="2.0"
+
+	use pulseaudio && audio="pulse"
+	use gstreamer && audio="gstreamer"
+	use gtk3 && gtk="3.0"
+	if use vala ; then
+		rm -vf gtk/controller/controller.{c,vala.stamp} gtk/controller/menu.c # force vala regen
+	fi
+
+	# TODO: usbredir support, needs libusbredirhost and newer libusb
+	econf \
+		VALAC=$(type -P valac-0.14) \
+		VAPIGEN=$(type -P vapigen-0.14) \
+		$(use_enable static-libs static) \
+		$(use_enable introspection) \
+		--with-audio="${audio}" \
+		$(use_with !cairo x11) \
+		$(use_with python) \
+		$(use_with sasl) \
+		$(use_enable vala) \
+		--with-gtk="${gtk}" \
+		--disable-smartcard \
+		--disable-usbredir \
+		--disable-werror
+}
+
+src_install() {
+	emake -j1 DESTDIR="${D}" install || die "emake install failed"
+
+	use static-libs || rm -rf "${D}"/usr/lib*/*.la
+	use python && rm -rf "${D}"/usr/lib*/python*/site-packages/*.la
+	use doc || rm -rf "${D}/usr/share/gtk-doc"
+
+	dodoc AUTHORS NEWS README TODO
+
+	make_desktop_entry spicy Spicy "" net
+
+	if use gnome ; then
+		insinto /etc/gconf/schemas
+		doins "${FILESDIR}/spice.schemas"
+	fi
+	if use kde ; then
+		insinto /usr/share/kde4/services
+		doins "${FILESDIR}/spice.protocol"
+	fi
+
+}
+
+pkg_preinst() {
+	use gnome && gnome2_gconf_savelist
+}
+
+pkg_postinst() {
+	use gnome && gnome2_gconf_install
+}
+
+pkg_prerm() {
+	use gnome && gnome2_gconf_uninstall
+}



^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2011-11-15  1:32 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-11-15  1:31 [gentoo-commits] proj/gnome:master commit in: net-misc/spice-gtk/, net-misc/spice-gtk/files/ Nirbheek Chauhan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox